Package org.gradle.tooling.events.download

# Interface FileDownloadOperationDescriptor

All Superinterfaces:
  `OperationDescriptor`

public interface FileDownloadOperationDescriptor extends OperationDescriptor
Describes the details of a file that is downloaded.

Since:
  7.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `URI`
  `getUri()`
  Returns the URI that the file is downloaded from.

  ### Methods inherited from interface org.gradle.tooling.events.OperationDescriptor

  `getDisplayName, getName, getParent`

- ## Method Details

  - ### getUri

    URI getUri()
    Returns the URI that the file is downloaded from.